Skip to content

# Interface: IPodContainerStatus

Renderer.K8sApi.IPodContainerStatus

## Table of contents

### Properties

- containerID
- image
- imageID
- lastState
- name
- ready
- restartCount
- started
- state

## Properties

### containerID

• `Optional` containerID: `string`

### image

• image: `string`

### imageID

• imageID: `string`

### lastState

• `Optional` lastState: `Object`

#### Index signature

▪ [index: `string`]: `object`

#### Type declaration

Name | Type
--- | ---
`running?` | `Object`
`running.startedAt` | `string`
`terminated?` | `Object`
`terminated.exitCode` | `number`
`terminated.finishedAt` | `string`
`terminated.reason` | `string`
`terminated.startedAt` | `string`
`waiting?` | `Object`
`waiting.message` | `string`
`waiting.reason` | `string`

### name

• name: `string`

### ready

• ready: `boolean`

### restartCount

• restartCount: `number`

### started

• `Optional` started: `boolean`

### state

• `Optional` state: `Object`

#### Index signature

▪ [index: `string`]: `object`

#### Type declaration

Name | Type
--- | ---
`running?` | `Object`
`running.startedAt` | `string`
`terminated?` | `Object`
`terminated.exitCode` | `number`
`terminated.finishedAt` | `string`
`terminated.reason` | `string`
`terminated.startedAt` | `string`
`waiting?` | `Object`
`waiting.message` | `string`
`waiting.reason` | `string`